public inbox for pve-devel@lists.proxmox.com
 help / color / mirror / Atom feed
From: Stoiko Ivanov <s.ivanov@proxmox.com>
To: pve-devel@lists.proxmox.com
Subject: [pve-devel] [PATCH proxmox-acme 2/2] add shellscript to find needed functions not provided by proxmox-acme
Date: Fri,  4 Mar 2022 16:10:59 +0100	[thread overview]
Message-ID: <20220304151059.3787765-3-s.ivanov@proxmox.com> (raw)
In-Reply-To: <20220304151059.3787765-1-s.ivanov@proxmox.com>

based on the heuristic I used a while ago. Adapted to catch the
functions missed the last time.

Signed-off-by: Stoiko Ivanov <s.ivanov@proxmox.com>
---
 check-missing-functions | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100755 check-missing-functions

diff --git a/check-missing-functions b/check-missing-functions
new file mode 100755
index 0000000..a76aefc
--- /dev/null
+++ b/check-missing-functions
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# functions already in src/proxmox-acme
+PRESENT=$(awk 'BEGIN{ORS="|";} /^_/{ gsub(/\(\) {/, ""); print $0}' \
+	src/proxmox-acme | sed -r 's/\|$//')
+# functions defined in all plugins
+LOCAL=$(awk 'BEGIN{ORS="|";} /^_/{ gsub(/\(\) {/, ""); print $0}' \
+	src/acme.sh/dnsapi/dns*.sh | sed -r 's/\|$//')
+
+grep -E '\b_[a-zA-Z0-9_-]+ ' src/acme.sh/dnsapi/dns_*sh | \
+	grep -Ev "$PRESENT|$LOCAL|\b_[a-zA-Z0-9_-]+=|^src/acme.sh/dnsapi/.*sh: *#"
-- 
2.30.2





  parent reply	other threads:[~2022-03-04 15:11 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-04 15:10 [pve-devel] [PATCH proxmox-acme 0/2] add missing readdomainconf and helper script Stoiko Ivanov
2022-03-04 15:10 ` [pve-devel] [PATCH proxmox-acme 1/2] plugin-caller: add _readdomainconf stub Stoiko Ivanov
2022-03-04 15:10 ` Stoiko Ivanov [this message]
2022-04-26  8:49 ` [pve-devel] applied: [PATCH proxmox-acme 0/2] add missing readdomainconf and helper script Thomas Lamprecht

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220304151059.3787765-3-s.ivanov@proxmox.com \
    --to=s.ivanov@proxmox.com \
    --cc=pve-devel@lists.proxmox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal